
Extended Fields - Support #2344

Installation failure: uninitialized constant ExtendedFieldsHelper

30 Oct 2014 15:35 - Sergey B

Status: Open Start date: 30 Oct 2014

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.5.1 External issue:  

Description

Plugin Extended Fields failed to install.

Redmine 2.5.1-2 Bitnami Stack Windows x86

MySQL database

C:\>use_redmine.bat

C:\prog32\redmine>cd apps\redmine\htdocs

C:\prog32\redmine\apps\redmine\htdocs>bundle install

rake aborted!

uninitialized constant ExtendedFieldsHelper

C:/prog32/redmine/apps/redmine/htdocs/plugins/extended-fields/init.rb:44:in `block in <top (requir

ed)>'

C:/prog32/redmine/apps/redmine/htdocs/config/environment.rb:14:in `<top (required)>'

Tasks: TOP => redmine:plugins:migrate => environment

(See full trace by running task with --trace)

 

Detailed trace is in trace.txt.

History

#1 - 15 Dec 2014 07:59 - Andriy Lesyuk

- Tracker changed from Bug to Support

- Status changed from New to Open

- Target version deleted (0.2.4)

- % Done changed from 0 to 10

Please try moving extended_fields_helper.rb from app/helpers to lib. Let me know, if it helps.

#2 - 11 Jan 2015 16:19 - Sergey B

I fixed it in another way. The problem was in wrong directory name. After I renamed the plugin folder from extended-fields to extended_fields, problem

had been solved.

Files

trace.txt 4.85 KB 30 Oct 2014 Sergey B
